%define oname konsole

Summary:	A terminal emulator similar to xterm for Plasma 5
Name:		plasma5-%{oname}
Version:	16.04.3
Release:	1
Epoch:		1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://konsole.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
Source1:	%{name}.rpmlintrc
# KDE #347715, https://git.reviewboard.kde.org/r/124132/
Patch0:		konsole-15.12.0-krun-openurl.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5bookmarks-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5guiaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5init-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5parts-devel
BuildRequires:	kf5pty-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5textwidgets-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(x11)
Requires:	x11-font-misc-misc
Conflicts:	konsole

%description
A terminal emulator, similar to xterm, for Plasma 5.

%files
%doc README COPYING COPYING.DOC COPYING.LIB doc/*
%{_kde5_applicationsdir}/org.kde.konsole.desktop
%{_kde5_bindir}/konsole
%{_kde5_bindir}/konsoleprofile
%{_kde5_datadir}/konsole
%{_kde5_docdir}/HTML/en/konsole
%{_kde5_libdir}/libkdeinit5_konsole.so
%{_kde5_notificationsdir}/konsole.notifyrc
%{_kde5_services}/konsolepart.desktop
%{_kde5_services}/ServiceMenus/konsolehere.desktop
%{_kde5_services}/ServiceMenus/konsolerun.desktop
%{_kde5_servicetypes}/terminalemulator.desktop
%{_kde5_xmlguidir}/konsole/*.rc
%{_datadir}/appdata/org.kde.konsole.appdata.xml
%{_qt5_plugindir}/konsolepart.so

#----------------------------------------------------------------------------

%define konsoleprivate_major 16
%define libkonsoleprivate %mklibname konsoleprivate %{konsoleprivate_major}

%package -n %{libkonsoleprivate}
Summary:	Shared library for Konsole
Group:		System/Libraries

%description -n %{libkonsoleprivate}
Shared library for Konsole.

%files -n %{libkonsoleprivate}
%{_kde5_libdir}/libkonsoleprivate.so.%{konsoleprivate_major}*

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.04.3-1
- (26b7609) New version 16.04.3


